<html>
<head>
<title>Ogre::Exception Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Exception.html">Exception</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Exception Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Exception" -->
<p>When thrown, provides information about an error that has occurred inside the engine.  
 <a href="classOgre_1_1Exception.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreException_8h_source.html">OgreException.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Exception:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Exception__inherit__graph.gif" border="0" usemap="#Ogre_1_1Exception_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Exception_inherit__map" id="Ogre_1_1Exception_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1FileNotFoundException.html" title="Ogre::FileNotFoundException" alt="" coords="184,5,379,35"/><area shape="rect" id="node5" href="classOgre_1_1InternalErrorException.html" title="Ogre::InternalErrorException" alt="" coords="188,59,375,88"/><area shape="rect" id="node7" href="classOgre_1_1InvalidParametersException.html" title="Ogre::InvalidParametersException" alt="" coords="171,112,392,141"/><area shape="rect" id="node9" href="classOgre_1_1InvalidStateException.html" title="Ogre::InvalidStateException" alt="" coords="189,165,373,195"/><area shape="rect" id="node11" href="classOgre_1_1IOException.html" title="Ogre::IOException" alt="" coords="216,219,347,248"/><area shape="rect" id="node13" href="classOgre_1_1ItemIdentityException.html" title="Ogre::ItemIdentityException" alt="" coords="189,272,373,301"/><area shape="rect" id="node15" href="classOgre_1_1RenderingAPIException.html" title="Ogre::RenderingAPIException" alt="" coords="183,325,380,355"/><area shape="rect" id="node17" href="classOgre_1_1RuntimeAssertionException.html" title="Ogre::RuntimeAssertionException" alt="" coords="172,379,391,408"/><area shape="rect" id="node19" href="classOgre_1_1UnimplementedException.html" title="Ogre::UnimplementedException" alt="" coords="179,432,384,461"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Exception-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29b">ExceptionCodes</a> { <br/>
&#160;&#160;<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29baaeb75efe079b550f380d62d9a0954e71">ERR_CANNOT_WRITE_TO_FILE</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9d61f90f76dd3e119d608876ea5f7957">ERR_INVALID_STATE</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba359c10b8abe9abf39f84550a903e4698">ERR_INVALIDPARAMS</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba55da7c9771a98e7c96c3900028f02703">ERR_RENDERINGAPI_ERROR</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba932168f4c4ae1a90391233de8a21ab1a">ERR_DUPLICATE_ITEM</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9f57f8f4aefb7fae5fcd69fe155e7003">ERR_ITEM_NOT_FOUND</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba65ef64423bae408d90e0af0166bac152">ERR_FILE_NOT_FOUND</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba946e7d147a09d8db65b6143d1d348c99">ERR_INTERNAL_ERROR</a>, 
<br/>
&#160;&#160;<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29bae8c10c1472a5d4005d1c25adb5e2764d">ERR_RT_ASSERTION_FAILED</a>, 
<a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29ba9e2cd2d2436678236e339e6a42887090">ERR_NOT_IMPLEMENTED</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Static definitions of error codes.  <a href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29b">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#adc5a5e5eb027cdd0591566d2518cc3fd">Exception</a> (int <a class="el" href="classOgre_1_1Exception.html#a64ee5688b9849cdf716b3d296f9725dc">number</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#a54edba4b99e73bf953b25888ee57b008">description</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#a224971e0792a4fa0a718107b6e9074fe">source</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#adc5a5e5eb027cdd0591566d2518cc3fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#aaa6e0d203a91b43870058082aeb34428">Exception</a> (int <a class="el" href="classOgre_1_1Exception.html#a64ee5688b9849cdf716b3d296f9725dc">number</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#a54edba4b99e73bf953b25888ee57b008">description</a>, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1Exception.html#a224971e0792a4fa0a718107b6e9074fe">source</a>, const char *type, const char *<a class="el" href="classOgre_1_1Exception.html#a976410f50fa11be9550720b240987cf3">file</a>, long <a class="el" href="classOgre_1_1Exception.html#a37322c92e46fa70fb703424f3840a68c">line</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced constructor.  <a href="#aaa6e0d203a91b43870058082aeb34428"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a82249d342184fd23af4dd1c0ac589c57">Exception</a> (const <a class="el" href="classOgre_1_1Exception.html">Exception</a> &amp;rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a82249d342184fd23af4dd1c0ac589c57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a5aeb1d634e6d2dc9e547ff37bd9dc051">~Exception</a> ()  throw ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Needed for compatibility with std::exception.  <a href="#a5aeb1d634e6d2dc9e547ff37bd9dc051"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a14a5cff744c7abf8b65633e1e5004f11">operator=</a> (const <a class="el" href="classOgre_1_1Exception.html">Exception</a> &amp;rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assignment operator.  <a href="#a14a5cff744c7abf8b65633e1e5004f11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#aa5801b3e0c61214cb96bdea425978bd0">getFullDescription</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a string with the full description of this error.  <a href="#aa5801b3e0c61214cb96bdea425978bd0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a4e1b4d70efe19717c12ed679ff96279a">getNumber</a> (void) const   throw ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the error code.  <a href="#a4e1b4d70efe19717c12ed679ff96279a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a01188c597faf46e2637999aa205c1862">getSource</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the source function.  <a href="#a01188c597faf46e2637999aa205c1862"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#aba00713fb4020d42107dafa6fd89fa57">getFile</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets source file name.  <a href="#aba00713fb4020d42107dafa6fd89fa57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a2d100096583c7973bbf5a1276a49ea4a">getLine</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets line number.  <a href="#a2d100096583c7973bbf5a1276a49ea4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a826483325a2bc7fb7a0950cf127dab62">getDescription</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a string with only the 'description' field of this exception.  <a href="#a826483325a2bc7fb7a0950cf127dab62"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a0ad3d38bf239293372eb7512281182df">what</a> () const   throw ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override std::exception::what.  <a href="#a0ad3d38bf239293372eb7512281182df"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a37322c92e46fa70fb703424f3840a68c">line</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a64ee5688b9849cdf716b3d296f9725dc">number</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#ad486aacc5f55a6bfa17248d2141270ec">typeName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a54edba4b99e73bf953b25888ee57b008">description</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a224971e0792a4fa0a718107b6e9074fe">source</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a976410f50fa11be9550720b240987cf3">file</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html#a16d671f40618b5ca451a3bcb6c0004f8">fullDesc</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>When thrown, provides information about an error that has occurred inside the engine. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>OGRE never uses return values to indicate errors. Instead, if an error occurs, an exception is thrown, and this is the object that encapsulates the detail of the problem. The application using OGRE should always ensure that the exceptions are caught, so all OGRE engine functions should occur within a try{} catch(Ogre::Exception&amp; e) {} block. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The user application should never create any instances of this object unless it wishes to unify its error handling using the same object. </dd></dl>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00092">92</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29b"></a><!-- doxytag: member="Ogre::Exception::ExceptionCodes" ref="a9bdf9b8a0a83b95818d676848beaa29b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1Exception.html#a9bdf9b8a0a83b95818d676848beaa29b">Ogre::Exception::ExceptionCodes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Static definitions of error codes. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29baaeb75efe079b550f380d62d9a0954e71"></a><!-- doxytag: member="ERR_CANNOT_WRITE_TO_FILE" ref="a9bdf9b8a0a83b95818d676848beaa29baaeb75efe079b550f380d62d9a0954e71" args="" -->ERR_CANNOT_WRITE_TO_FILE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba9d61f90f76dd3e119d608876ea5f7957"></a><!-- doxytag: member="ERR_INVALID_STATE" ref="a9bdf9b8a0a83b95818d676848beaa29ba9d61f90f76dd3e119d608876ea5f7957" args="" -->ERR_INVALID_STATE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba359c10b8abe9abf39f84550a903e4698"></a><!-- doxytag: member="ERR_INVALIDPARAMS" ref="a9bdf9b8a0a83b95818d676848beaa29ba359c10b8abe9abf39f84550a903e4698" args="" -->ERR_INVALIDPARAMS</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba55da7c9771a98e7c96c3900028f02703"></a><!-- doxytag: member="ERR_RENDERINGAPI_ERROR" ref="a9bdf9b8a0a83b95818d676848beaa29ba55da7c9771a98e7c96c3900028f02703" args="" -->ERR_RENDERINGAPI_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba932168f4c4ae1a90391233de8a21ab1a"></a><!-- doxytag: member="ERR_DUPLICATE_ITEM" ref="a9bdf9b8a0a83b95818d676848beaa29ba932168f4c4ae1a90391233de8a21ab1a" args="" -->ERR_DUPLICATE_ITEM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba9f57f8f4aefb7fae5fcd69fe155e7003"></a><!-- doxytag: member="ERR_ITEM_NOT_FOUND" ref="a9bdf9b8a0a83b95818d676848beaa29ba9f57f8f4aefb7fae5fcd69fe155e7003" args="" -->ERR_ITEM_NOT_FOUND</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba65ef64423bae408d90e0af0166bac152"></a><!-- doxytag: member="ERR_FILE_NOT_FOUND" ref="a9bdf9b8a0a83b95818d676848beaa29ba65ef64423bae408d90e0af0166bac152" args="" -->ERR_FILE_NOT_FOUND</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba946e7d147a09d8db65b6143d1d348c99"></a><!-- doxytag: member="ERR_INTERNAL_ERROR" ref="a9bdf9b8a0a83b95818d676848beaa29ba946e7d147a09d8db65b6143d1d348c99" args="" -->ERR_INTERNAL_ERROR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29bae8c10c1472a5d4005d1c25adb5e2764d"></a><!-- doxytag: member="ERR_RT_ASSERTION_FAILED" ref="a9bdf9b8a0a83b95818d676848beaa29bae8c10c1472a5d4005d1c25adb5e2764d" args="" -->ERR_RT_ASSERTION_FAILED</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a9bdf9b8a0a83b95818d676848beaa29ba9e2cd2d2436678236e339e6a42887090"></a><!-- doxytag: member="ERR_NOT_IMPLEMENTED" ref="a9bdf9b8a0a83b95818d676848beaa29ba9e2cd2d2436678236e339e6a42887090" args="" -->ERR_NOT_IMPLEMENTED</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00108">108</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adc5a5e5eb027cdd0591566d2518cc3fd"></a><!-- doxytag: member="Ogre::Exception::Exception" ref="adc5a5e5eb027cdd0591566d2518cc3fd" args="(int number, const String &amp;description, const String &amp;source)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Exception.html#adc5a5e5eb027cdd0591566d2518cc3fd">Ogre::Exception::Exception</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>source</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default constructor. </p>

</div>
</div>
<a class="anchor" id="aaa6e0d203a91b43870058082aeb34428"></a><!-- doxytag: member="Ogre::Exception::Exception" ref="aaa6e0d203a91b43870058082aeb34428" args="(int number, const String &amp;description, const String &amp;source, const char *type, const char *file, long line)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Exception.html#adc5a5e5eb027cdd0591566d2518cc3fd">Ogre::Exception::Exception</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>description</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>line</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Advanced constructor. </p>

</div>
</div>
<a class="anchor" id="a82249d342184fd23af4dd1c0ac589c57"></a><!-- doxytag: member="Ogre::Exception::Exception" ref="a82249d342184fd23af4dd1c0ac589c57" args="(const Exception &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Exception.html#adc5a5e5eb027cdd0591566d2518cc3fd">Ogre::Exception::Exception</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Exception.html">Exception</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copy constructor. </p>

</div>
</div>
<a class="anchor" id="a5aeb1d634e6d2dc9e547ff37bd9dc051"></a><!-- doxytag: member="Ogre::Exception::~Exception" ref="a5aeb1d634e6d2dc9e547ff37bd9dc051" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Exception.html#a5aeb1d634e6d2dc9e547ff37bd9dc051">Ogre::Exception::~Exception</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>  throw ()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Needed for compatibility with std::exception. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00134">134</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a826483325a2bc7fb7a0950cf127dab62"></a><!-- doxytag: member="Ogre::Exception::getDescription" ref="a826483325a2bc7fb7a0950cf127dab62" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Exception.html#a826483325a2bc7fb7a0950cf127dab62">Ogre::Exception::getDescription</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a string with only the 'description' field of this exception. </p>
<p>Use getFullDescriptionto get a full description of the error including line number, error number and what function threw the exception. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00172">172</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba00713fb4020d42107dafa6fd89fa57"></a><!-- doxytag: member="Ogre::Exception::getFile" ref="aba00713fb4020d42107dafa6fd89fa57" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Exception.html#aba00713fb4020d42107dafa6fd89fa57">Ogre::Exception::getFile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets source file name. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00162">162</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa5801b3e0c61214cb96bdea425978bd0"></a><!-- doxytag: member="Ogre::Exception::getFullDescription" ref="aa5801b3e0c61214cb96bdea425978bd0" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Exception.html#aa5801b3e0c61214cb96bdea425978bd0">Ogre::Exception::getFullDescription</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a string with the full description of this error. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The description contains the error number, the description supplied by the thrower, what routine threw the exception, and will also supply extra platform-specific information where applicable. For example - in the case of a rendering library error, the description of the error will include both the place in which OGRE found the problem, and a text description from the 3D rendering library, if available. </dd></dl>

</div>
</div>
<a class="anchor" id="a2d100096583c7973bbf5a1276a49ea4a"></a><!-- doxytag: member="Ogre::Exception::getLine" ref="a2d100096583c7973bbf5a1276a49ea4a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual long <a class="el" href="classOgre_1_1Exception.html#a2d100096583c7973bbf5a1276a49ea4a">Ogre::Exception::getLine</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets line number. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00166">166</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e1b4d70efe19717c12ed679ff96279a"></a><!-- doxytag: member="Ogre::Exception::getNumber" ref="a4e1b4d70efe19717c12ed679ff96279a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="classOgre_1_1Exception.html#a4e1b4d70efe19717c12ed679ff96279a">Ogre::Exception::getNumber</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const  throw ()<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the error code. </p>

</div>
</div>
<a class="anchor" id="a01188c597faf46e2637999aa205c1862"></a><!-- doxytag: member="Ogre::Exception::getSource" ref="a01188c597faf46e2637999aa205c1862" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Exception.html#a01188c597faf46e2637999aa205c1862">Ogre::Exception::getSource</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the source function. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00158">158</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a14a5cff744c7abf8b65633e1e5004f11"></a><!-- doxytag: member="Ogre::Exception::operator=" ref="a14a5cff744c7abf8b65633e1e5004f11" args="(const Exception &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Exception::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Exception.html">Exception</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assignment operator. </p>

</div>
</div>
<a class="anchor" id="a0ad3d38bf239293372eb7512281182df"></a><!-- doxytag: member="Ogre::Exception::what" ref="a0ad3d38bf239293372eb7512281182df" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="classOgre_1_1Exception.html#a0ad3d38bf239293372eb7512281182df">Ogre::Exception::what</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const  throw ()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override std::exception::what. </p>

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00175">175</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a54edba4b99e73bf953b25888ee57b008"></a><!-- doxytag: member="Ogre::Exception::description" ref="a54edba4b99e73bf953b25888ee57b008" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#a54edba4b99e73bf953b25888ee57b008">Ogre::Exception::description</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00098">98</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a976410f50fa11be9550720b240987cf3"></a><!-- doxytag: member="Ogre::Exception::file" ref="a976410f50fa11be9550720b240987cf3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#a976410f50fa11be9550720b240987cf3">Ogre::Exception::file</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00100">100</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a16d671f40618b5ca451a3bcb6c0004f8"></a><!-- doxytag: member="Ogre::Exception::fullDesc" ref="a16d671f40618b5ca451a3bcb6c0004f8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#a16d671f40618b5ca451a3bcb6c0004f8">Ogre::Exception::fullDesc</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00101">101</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a37322c92e46fa70fb703424f3840a68c"></a><!-- doxytag: member="Ogre::Exception::line" ref="a37322c92e46fa70fb703424f3840a68c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long <a class="el" href="classOgre_1_1Exception.html#a37322c92e46fa70fb703424f3840a68c">Ogre::Exception::line</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00095">95</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a64ee5688b9849cdf716b3d296f9725dc"></a><!-- doxytag: member="Ogre::Exception::number" ref="a64ee5688b9849cdf716b3d296f9725dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1Exception.html#a64ee5688b9849cdf716b3d296f9725dc">Ogre::Exception::number</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00096">96</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="a224971e0792a4fa0a718107b6e9074fe"></a><!-- doxytag: member="Ogre::Exception::source" ref="a224971e0792a4fa0a718107b6e9074fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#a224971e0792a4fa0a718107b6e9074fe">Ogre::Exception::source</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00099">99</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad486aacc5f55a6bfa17248d2141270ec"></a><!-- doxytag: member="Ogre::Exception::typeName" ref="ad486aacc5f55a6bfa17248d2141270ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Exception.html#ad486aacc5f55a6bfa17248d2141270ec">Ogre::Exception::typeName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreException_8h_source.html#l00097">97</a> of file <a class="el" href="OgreException_8h_source.html">OgreException.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreException_8h_source.html">OgreException.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
